Can't upgrade firmware

This thread has been locked for further replies. You can start a new thread to share your ideas or ask questions.

Can't upgrade firmware

This thread has been locked for further replies. You can start a new thread to share your ideas or ask questions.
Can't upgrade firmware
Can't upgrade firmware
2019-04-23 13:28:09 - last edited 2019-04-23 13:29:23
Model: TL-WPA4220  
Hardware Version: V1
Firmware Version: 1.2.9 Build 151026 Rel.75883n

Hi there,

I'm trying to upgrade the fw of my wifi powerline extender. On the WPA4220 TP-Link support page is a firmware dated 2018-05-10.

When I try to install it, I'll get this error:

Error code: 18005
Upgrade unsuccessfully because the version of the upgraded file was incorrect. Please check the file name.

 

File name of the fw-update is: WPA4220(EU)1.0_update_1.2.9-20180509_beta_254.bin

 

Here is the data of the device:

Firmware Version:    
1.2.9 Build 151026 Rel.75883n
MAC-QCA7420-1.3.1.2141-00-20160428-CS
Hardware Version:    
WPA4220 v1 08EF4015

 

Upgrading should work but it does not. Any ideas on how to proceed?

 

Thank you!

 

Best regards, Rado

  0      
  0      
#1
Options
1 Reply
Re:Can't upgrade firmware
2019-04-24 03:30:58

Hi,

 

I found that the current device is an US version product according to the current firmware. 

https://www.tp-link.com/us/support/download/tl-wpa4220/v1/#Firmware

 

You can try to udpate the firmware on the US official website and give it a go.

 

Any updates, just let us know. 

 

Good day. 

 

 

If you found a post or response helpful, please click Helpful (arrow pointing upward icon). If you are the author of a topic, remember to mark a helpful reply as the "Recommended Solution" (star icon) so that others can benefit from it.
  0  
  0  
#2
Options

Information

Helpful: 0

Views: 1417

Replies: 1

Related Articles